Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSClassDefElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSClassDefElement

All Implemented Interfaces:
  XDSElement

public class XDSClassDefElement
extends ElementImpl

A `<class-def>` element.

See Also:
  `XDSSchemaDefElement.appendClassDefElement()`

Method Summary
`XDSAttrDefElement` | `appendAttrDefElement()` Appends an empty child `<attr-def>` element to this element.
`List` | `childElements()` Returns this element's child elements.
`void` | `setASN1ID(String someID)` Sets this element's `asn1id` attribute to `someName`.
`void` | `setClassName(String someName)` Sets this element's `class-name` attribute to `someName`.
`void` | `setContainer(boolean isContainer)` Sets this element's `container` attribute to `isGroup`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### childElements

    public List childElements()

  Returns this element's child elements.

  Usage Notes:
    The types of objects returned by this method may be extended in the future. Thus, callers should be able to handle object types other than those listed in the returns field below.
  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `XDSElement`
  Overrides:
    `childElements` in class `ElementImpl`
  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSAttrDefElement` and `NonXDSElement` objects; will not return `null`

### setClassName

    public void setClassName(String someName)

  Sets this element's `class-name` attribute to `someName`.

  Invocation Context:
    WRITE

  Parameters:
    `someName` - if `null` or `""`, no action is taken

### setASN1ID

    public void setASN1ID(String someID)

  Sets this element's `asn1id` attribute to `someName`.

  Invocation Context:
    WRITE

  Parameters:
    `someID` - if `null` or `""`, no action is taken

### setContainer

    public void setContainer(boolean isContainer)

  Sets this element's `container` attribute to `isGroup`.

  Invocation Context:
    WRITE

  Parameters:
    `isContainer` - is this class a container?

### appendAttrDefElement

    public XDSAttrDefElement appendAttrDefElement()

  Appends an empty child `<attr-def>` element to this element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD